import request from '@/utils/request'

// 查询套餐列表
export function listSuit(query) {
  return request({
    url: '/ss/suit/list',
    method: 'get',
    params: query
  })
}

// 查询套餐详细
export function getSuit(suitId) {
  return request({
    url: '/ss/suit/' + suitId,
    method: 'get'
  })
}

// 新增套餐
export function addSuit(data) {
  return request({
    url: '/ss/suit',
    method: 'post',
    data: data
  })
}

// 修改套餐
export function updateSuit(data) {
  return request({
    url: '/ss/suit',
    method: 'put',
    data: data
  })
}

// 删除套餐
export function delSuit(suitId) {
  return request({
    url: '/ss/suit/' + suitId,
    method: 'delete'
  })
}
